AddressFunction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.function
Class AddressFunction

    java.lang.Object
      org.maltparser.core.feature.function.AddressFunction

All Implemented Interfaces:
  Function

Direct Known Subclasses:
  CovingtonAddressFunction, DGraphAddressFunction, NivreAddressFunction, PlanarAddressFunction, StackAddressFunction, TwoPlanarAddressFunction

    public abstract class AddressFunction

extends Object
implements Function

Author:
  Johan Hall

Field Summary
`protected AddressValue` | `address`

Constructor Summary
`AddressFunction()`

Method Summary
`boolean` | `equals(Object obj)`
`AddressValue` | `getAddressValue()` Returns the address value of address function
`String` | `toString()`
`abstract void` | `update(Object[] arguments)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.maltparser.core.feature.function.Function
`getParameterTypes, initialize, update`

Field Detail

### address

    protected AddressValue address

Constructor Detail

### AddressFunction

    public AddressFunction()

Method Detail

### update

    public abstract void update(Object[] arguments)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### getAddressValue

    public AddressValue getAddressValue()

  Returns the address value of address function

  Returns:
    the address value of address function

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.